Subject: Re: 28.0.50; make install with native-comp branch

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Apr 2021 10:50:55 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Thierry Volpiatto <[email-masked]>, [email-masked]
> Date: Sat, 10 Apr 2021 06:57:26 +0000
> 
> Thierry, are you specifying your custom bindir only when installing or
> also while building?  If the case is the first could you please try
> again setting bindir also while building?

I don't think this can fly.  "make FOOdir=FOO" is a paradigm for
installing parts of Emacs in specified directories without rebuilding.

I think if we want to support this, the PATH_REL_LOADSEARCH trick is
incorrect: we need to look for native-lisp directory relative to
PATH_LOADSEARCH, i.e. relative to where the Lisp files are installed.
Is this possible?  The part that worries me is that we need to find
these *.eln files very early during the process of restoring from the
pdumper file, where we don't yet have all the directories handy.